Update Task Completed
http
PUT https://services.leadconnectorhq.com/contacts/{contactId}/tasks/{taskId}/completedAuthorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Path parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
contactId | string | Yes | sx6wyHhbFdRXh302LLNR | Contact Id |
taskId | string | Yes | ocQHyuzHvysMo5N5VsXc | Task Id |
Body
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
completed | boolean | Yes | True |
Responses
200 - Successful response
task(object)id(string): Example:lJpzYrWdpkC2hX6t2yuetitle(string): Example:testbody(string): Example:testingassignedTo(string): Example:tesTUcmRxWrjqzJS8EjkxNKtingdueDate(string): Example:2021-07-08T02:30:00.000Zcompleted(boolean): Example:TruecontactId(string): Example:lJpzYrWdpkC2hX6t2yue
json
{
"task": {
"id": "lJpzYrWdpkC2hX6t2yue",
"title": "test",
"body": "testing",
"assignedTo": "tesTUcmRxWrjqzJS8EjkxNKting",
"dueDate": "2021-07-08T02:30:00.000Z",
"completed": true,
"contactId": "lJpzYrWdpkC2hX6t2yue"
}
}400 - Bad Request
json
{}422 - Unprocessable Entity
json
{}Example
curl -X PUT 'https://services.leadconnectorhq.com/contacts/YOUR_contactId/tasks/YOUR_taskId/completed' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"completed": true
}'const response = await fetch('https://services.leadconnectorhq.com/contacts/YOUR_contactId/tasks/YOUR_taskId/completed', {
method: 'PUT',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
'Content-Type': 'application/json',
},
body: JSON.stringify({"completed": true}),
});
const data = await response.json();import os, requests
response = requests.request(
'PUT',
'https://services.leadconnectorhq.com/contacts/YOUR_contactId/tasks/YOUR_taskId/completed',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
'Content-Type': 'application/json',
},
json={"completed": true},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/contacts/YOUR_contactId/tasks/YOUR_taskId/completed');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'PUT',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode({'completed': true}),
]);
$data = json_decode(curl_exec($ch), true);